%define upstream_name       Youri-Package-RPM-Builder
%define upstream_version    0.2.0

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2
Summary:	Build RPM packages
License:	GPL or Artistic
Group:		Development/Other
Url:		http://youri.zarb.org
Source0:	http://youri.zarb.org/download/%{upstream_name}-%{upstream_version}.tar.gz
Patch0:		Youri-Package-RPM-Builder-0.2.0-rpm5-port.patch
BuildRequires:	perl(RPM)
BuildRequires:	perl(Test::Exception)
BuildRequires:	perl(String::ShellQuote)
BuildRequires:	perl-version
Requires:	    perl-version
BuildArch:	    noarch
BuildRoot:	    %{_tmppath}/%{name}-%{version}

%description
YOURI stands for "Youri Offers an Upload & Repository Infrastucture". It aims
to build tools making management of a coherent set of packages easier.

This module build rpm packages.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
%patch0 -p1

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
# skip check suite when building on rpm 4, as some parts of it depends on
# rpm 5.3 to be installed
[ "`rpm --version|sed -e  's/^.* \([0-9]\+\).*/\1/'`" != 4 ] && \
%make test TEST_AUTHOR=foo

%install
rm -rf %{buildroot}
%makeinstall_std

%clean 
rm -rf %{buildroot}

%files 
%defattr(-,root,root)
%doc Changes README
%{perl_vendorlib}/Youri
%{_mandir}/man3/*


%changelog
* Fri Dec 03 2010 Per Øyvind Karlsen <peroyvind@mandriva.org> 0.2.0-2mdv2011.0
+ Revision: 606951
- skip test suite when building with rpm 4.x
- port to rpm5 perl bindings
- create rpm5 branch..
- set TEST_AUTHOR environment variable to enable prereq & perlcritic test

  + Guillaume Rousse <guillomovitch@mandriva.org>
    - new version
    - use perl_version macro
    - new version
    - new version
    - import perl-Youri-Package-RPM-Builder

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild
    - rebuild
    - rebuild
    - kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

